// notOne.cpp

#include "Player1.h"
#include "Player2.h"

int main()
{
  cout << "\nReady to play some Not-One!\n" << endl;

  Player1 player1("fast");
  Player2 player2("random");

  int player1Score = 0,                 // initialize
      player2Score = 0,                 //  counters
      player1LastRoll = 0,
      player2LastRoll = 0;

  for (int i = 1; i <= 12; i++)         // play 12 rounds
    {
                                        //  the 1st players turn
      cout << "-----------------------------------------\n"
           << player1.getName() << ", turn " << i;
      player1LastRoll = player1.takeTurn(player2LastRoll);
      player1Score += player1LastRoll;
                                        //   the 2nd player's turn
      cout << "-----------------------------------------\n"
           << player2.getName() << ", turn " << i;
      player2LastRoll = player2.takeTurn(player1LastRoll);
      player2Score += player2LastRoll;
                                        //   summarize round
      cout << "******************************************\n"
           << " Turn " << i << " - "
           << player1.getName() << ": " << player1Score << "; "
           << player2.getName() << ": " << player2Score
           << "\n******************************************\n"
           << endl;
    }
}
